# ComponentResponsiveLayout (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentResponsiveLayout

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentResponsiveLayout

-     public class ComponentResponsiveLayout
      extends java.lang.Object

  A layout that shows different contents, depending on available size

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentResponsiveLayout(org.eclipse.swt.widgets.Composite parent, int minWidth, int minHeight, org.eclipse.swt.widgets.Control primary, org.eclipse.swt.widgets.Control secondary)` Primary will be shown as long as width and height are within the given bounds, otherwise the composite will switch to the secondary control

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentResponsiveLayout

          public ComponentResponsiveLayout(org.eclipse.swt.widgets.Composite parent,
                                   int minWidth,
                                   int minHeight,
                                   org.eclipse.swt.widgets.Control primary,
                                   org.eclipse.swt.widgets.Control secondary)

      Primary will be shown as long as width and height are within the given bounds, otherwise the composite will switch to the secondary control
      Parameters:
        `parent` -
        `minWidth` -
        `minHeight` -